#pragma once
#include "qs_function_abstract.h"

#define QS_FUNCTION_TEXT "QSText"

class TQSFunctionTextOrig: public IQSFunction {
public:
    virtual ~TQSFunctionTextOrig() {}

    virtual TRichTreePtr GetFResult(const IQSRequest* cgi, const TLanguageContext& langContext) const;

    virtual TString Name() const {
        return QS_FUNCTION_TEXT;
    }

    static TFactory::TRegistrator<TQSFunctionTextOrig> Registrator;
};
